Bug 238313 - bcm43xx fails to associate to neither of my APs
bcm43xx fails to associate to neither of my APs
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: wireless-tools (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-29 01:18 EDT by Jukka Palko
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-30 00:40:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jukka Palko 2007-04-29 01:18:10 EDT
Description of problem:
The wlan works nicely on FC6 with my ibook g4 with airport extreme, but I
decided to give fedora 7 test a go and first I got that notice that my firmware
was too old for use and I upgraded it to the newer from
http://downloads.openwrt.org/sources/broadcom-wl-4.80.53.0.tar.bz2 and now I
don't get complained about firmware no more, but now I can't connect to any APs.

This is what comes into my messages when I try to associate myself to my AP:
Apr 29 08:06:13 ibookg4 NetworkManager: <info>  User Switch:
/org/freedesktop/NetworkManager/Devices/wlan0 / wlan 
Apr 29 08:06:13 ibookg4 NetworkManager: <info>  Deactivating device wlan0. 
Apr 29 08:06:13 ibookg4 dhcdbd: message_handler: message handler not found under
/com/redhat/dhcp/wlan0 for sub-path wlan0.dbus.get.reason
Apr 29 08:06:13 ibookg4 NetworkManager: <info>  Device wlan0 activation
scheduled... 
Apr 29 08:06:13 ibookg4 NetworkManager: <info>  Deactivating device eth1. 
Apr 29 08:06:13 ibookg4 dhclient: wmaster0: unknown hardware address type 801
Apr 29 08:06:13 ibookg4 dhclient: wmaster0: unknown hardware address type 801
Apr 29 08:06:13 ibookg4 dhclient: DHCPRELEASE on eth1 to 192.168.0.1 port 67
Apr 29 08:06:14 ibookg4 avahi-daemon[2185]: Withdrawing address record for
192.168.0.66 on eth1.
Apr 29 08:06:14 ibookg4 avahi-daemon[2185]: Leaving mDNS multicast group on
interface eth1.IPv4 with address 192.168.0.66.
Apr 29 08:06:14 ibookg4 avahi-daemon[2185]: Interface eth1.IPv4 no longer
relevant for mDNS.
Apr 29 08:06:14 ibookg4 avahi-daemon[2185]: Withdrawing address record for
fe80::20d:93ff:fe2d:e988 on eth1.
Apr 29 08:06:14 ibookg4 avahi-daemon[2185]: Leaving mDNS multicast group on
interface eth1.IPv6 with address fe80::20d:93ff:fe2d:e988.
Apr 29 08:06:14 ibookg4 avahi-daemon[2185]: Interface eth1.IPv6 no longer
relevant for mDNS.
Apr 29 08:06:14 ibookg4 NetworkManager: <info>  Activation (wlan0) started... 
Apr 29 08:06:14 ibookg4 NetworkManager: <info>  Activation (wlan0) Stage 1 of 5
(Device Prepare) scheduled... 
Apr 29 08:06:14 ibookg4 NetworkManager: <info>  Activation (wlan0) Stage 1 of 5
(Device Prepare) started... 
Apr 29 08:06:14 ibookg4 NetworkManager: <info>  Activation (wlan0) Stage 2 of 5
(Device Configure) scheduled... 
Apr 29 08:06:14 ibookg4 NetworkManager: <info>  Activation (wlan0) Stage 1 of 5
(Device Prepare) complete. 
Apr 29 08:06:14 ibookg4 NetworkManager: <info>  Activation (wlan0) Stage 2 of 5
(Device Configure) starting... 
Apr 29 08:06:14 ibookg4 NetworkManager: <info>  Activation (wlan0/wireless):
access point 'wlan' is encrypted, and a key exists.  No new key needed. 
Apr 29 08:06:14 ibookg4 NetworkManager: <info>  SUP: sending command
'INTERFACE_ADD wlan0               wext    /var/run/wpa_supplicant      ' 
Apr 29 08:06:14 ibookg4 NetworkManager: <info>  SUP: response was 'OK' 
Apr 29 08:06:14 ibookg4 NetworkManager: <info>  SUP: sending command 'AP_SCAN 2' 
Apr 29 08:06:14 ibookg4 NetworkManager: <info>  SUP: response was 'OK' 
Apr 29 08:06:14 ibookg4 NetworkManager: <info>  SUP: sending command 'ADD_NETWORK' 
Apr 29 08:06:14 ibookg4 NetworkManager: <info>  SUP: response was '0' 
Apr 29 08:06:14 ibookg4 NetworkManager: <info>  SUP: sending command
'SET_NETWORK 0 ssid 6a70616c6b6f5f776c616e' 
Apr 29 08:06:14 ibookg4 NetworkManager: <info>  SUP: response was 'OK' 
Apr 29 08:06:14 ibookg4 NetworkManager: <info>  SUP: sending command
'SET_NETWORK 0 scan_ssid 1' 
Apr 29 08:06:14 ibookg4 NetworkManager: <info>  SUP: response was 'OK' 
Apr 29 08:06:14 ibookg4 NetworkManager: <info>  SUP: sending command
'SET_NETWORK 0 key_mgmt NONE' 
Apr 29 08:06:14 ibookg4 NetworkManager: <info>  SUP: response was 'OK' 
Apr 29 08:06:14 ibookg4 NetworkManager: <info>  SUP: sending command
'SET_NETWORK 0 auth_alg SHARED' 
Apr 29 08:06:14 ibookg4 NetworkManager: <info>  SUP: response was 'OK' 
Apr 29 08:06:14 ibookg4 NetworkManager: <info>  SUP: sending command
'SET_NETWORK 0 wep_key0 <key>' 
Apr 29 08:06:14 ibookg4 NetworkManager: <info>  SUP: response was 'OK' 
Apr 29 08:06:14 ibookg4 NetworkManager: <info>  SUP: sending command
'SET_NETWORK 0 wep_tx_keyidx 0' 
Apr 29 08:06:14 ibookg4 NetworkManager: <info>  SUP: response was 'OK' 
Apr 29 08:06:14 ibookg4 NetworkManager: <info>  SUP: sending command
'ENABLE_NETWORK 0' 
Apr 29 08:06:14 ibookg4 NetworkManager: <info>  SUP: response was 'OK' 
Apr 29 08:06:14 ibookg4 NetworkManager: <info>  Activation (wlan0) Stage 2 of 5
(Device Configure) complete. 
Apr 29 08:06:14 ibookg4 wpa_supplicant[4036]: Trying to associate with SSID 'wlan' 
Apr 29 08:06:17 ibookg4 NetworkManager: <info>  Old device 'wlan0' activating,
won't change. 
Apr 29 08:06:34 ibookg4 NetworkManager: <info>  Activation (wlan0/wireless):
association took too long (>20s), failing activation. 
Apr 29 08:06:34 ibookg4 NetworkManager: <info>  Activation (wlan0) failure
scheduled... 
Apr 29 08:06:34 ibookg4 NetworkManager: <info>  Activation (wlan0) failed for
access point (wlan) 
Apr 29 08:06:34 ibookg4 NetworkManager: <info>  Activation (wlan0) failed. 
Apr 29 08:06:34 ibookg4 NetworkManager: <info>  Deactivating device wlan0. 
Apr 29 08:06:34 ibookg4 wpa_supplicant[4036]: CTRL-EVENT-TERMINATING - signal 15
received 
Apr 29 08:06:34 ibookg4 NetworkManager: <info>  SWITCH: no current connection,
found better connection 'eth1'. 
Apr 29 08:06:34 ibookg4 NetworkManager: <info>  Will activate connection 'eth1'. 
Apr 29 08:06:34 ibookg4 NetworkManager: <info>  Device eth1 activation scheduled... 
Apr 29 08:06:34 ibookg4 NetworkManager: <info>  Activation (eth1) started... 
Apr 29 08:06:34 ibookg4 NetworkManager: <info>  Activation (eth1) Stage 1 of 5
(Device Prepare) scheduled... 
Apr 29 08:06:34 ibookg4 NetworkManager: <info>  Activation (eth1) Stage 1 of 5
(Device Prepare) started... 
Apr 29 08:06:34 ibookg4 NetworkManager: <info>  Activation (eth1) Stage 2 of 5
(Device Configure) scheduled... 
Apr 29 08:06:34 ibookg4 NetworkManager: <info>  Activation (eth1) Stage 1 of 5
(Device Prepare) complete. 
Apr 29 08:06:34 ibookg4 NetworkManager: <info>  Activation (eth1) Stage 2 of 5
(Device Configure) starting... 
Apr 29 08:06:34 ibookg4 NetworkManager: <info>  Activation (eth1) Stage 2 of 5
(Device Configure) successful. 
Apr 29 08:06:34 ibookg4 NetworkManager: <info>  Activation (eth1) Stage 3 of 5
(IP Configure Start) scheduled. 
Apr 29 08:06:34 ibookg4 NetworkManager: <info>  Activation (eth1) Stage 2 of 5
(Device Configure) complete. 
Apr 29 08:06:34 ibookg4 NetworkManager: <info>  Activation (eth1) Stage 3 of 5
(IP Configure Start) started... 
Apr 29 08:06:36 ibookg4 kernel: bcm43xx_mac80211: Removing Interface type 2
Apr 29 08:06:36 ibookg4 kernel: bcm43xx_mac80211: Wireless interface stopped
Apr 29 08:06:36 ibookg4 kernel: bcm43xx_mac80211: DMA-32 0x0200 (RX) max used
slots: 1/64
Apr 29 08:06:36 ibookg4 kernel: bcm43xx_mac80211: DMA-32 0x02A0 (TX) max used
slots: 0/128
Apr 29 08:06:36 ibookg4 kernel: bcm43xx_mac80211: DMA-32 0x0280 (TX) max used
slots: 0/128
Apr 29 08:06:36 ibookg4 kernel: bcm43xx_mac80211: DMA-32 0x0260 (TX) max used
slots: 0/128
Apr 29 08:06:36 ibookg4 kernel: bcm43xx_mac80211: DMA-32 0x0240 (TX) max used
slots: 0/128
Apr 29 08:06:36 ibookg4 kernel: bcm43xx_mac80211: DMA-32 0x0220 (TX) max used
slots: 22/128
Apr 29 08:06:36 ibookg4 kernel: bcm43xx_mac80211: DMA-32 0x0200 (TX) max used
slots: 0/128
Apr 29 08:06:36 ibookg4 kernel: bcm43xx_mac80211: Radio turned off
Apr 29 08:06:36 ibookg4 kernel: ssb: Switching to ChipCommon core, index 0
Apr 29 08:06:36 ibookg4 kernel: ssb: Switching to IEEE 802.11 core, index 1
Apr 29 08:06:36 ibookg4 kernel: bcm43xx_mac80211: Radio turned off
Apr 29 08:06:36 ibookg4 NetworkManager: <info>  Activation (eth1) Beginning DHCP
transaction. 
Apr 29 08:06:36 ibookg4 dhclient: wmaster0: unknown hardware address type 801
Apr 29 08:06:36 ibookg4 NetworkManager: <info>  DHCP daemon state is now 12
(successfully started) for interface eth1 
Apr 29 08:06:36 ibookg4 dhclient: wmaster0: unknown hardware address type 801
Apr 29 08:06:36 ibookg4 NetworkManager: <info>  DHCP daemon state is now 1
(starting) for interface eth1 
Apr 29 08:06:36 ibookg4 NetworkManager: <info>  Activation (eth1) Stage 3 of 5
(IP Configure Start) complete. 
Apr 29 08:06:36 ibookg4 dhclient: DHCPDISCOVER on eth1 to 255.255.255.255 port
67 interval 4
Apr 29 08:06:36 ibookg4 dhclient: DHCPOFFER from 192.168.0.1
Apr 29 08:06:36 ibookg4 dhclient: DHCPREQUEST on eth1 to 255.255.255.255 port 67
Apr 29 08:06:36 ibookg4 dhclient: DHCPACK from 192.168.0.1
Apr 29 08:06:36 ibookg4 NetworkManager: <info>  DHCP daemon state is now 2
(bound) for interface eth1 
Apr 29 08:06:36 ibookg4 NetworkManager: <info>  Activation (eth1) Stage 4 of 5
(IP Configure Get) scheduled... 
Apr 29 08:06:36 ibookg4 NetworkManager: <info>  Activation (eth1) Stage 4 of 5
(IP Configure Get) started... 
Apr 29 08:06:36 ibookg4 dhcdbd: message_handler: message handler not found under
/com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.host_name
Apr 29 08:06:36 ibookg4 dhcdbd: message_handler: message handler not found under
/com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.domain_name
Apr 29 08:06:36 ibookg4 dhcdbd: message_handler: message handler not found under
/com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.nis_domain
Apr 29 08:06:36 ibookg4 dhcdbd: message_handler: message handler not found under
/com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.nis_servers
Apr 29 08:06:36 ibookg4 NetworkManager: <info>  Retrieved the following IP4
configuration from the DHCP daemon: 
Apr 29 08:06:36 ibookg4 NetworkManager: <info>    address 192.168.0.66 
Apr 29 08:06:36 ibookg4 NetworkManager: <info>    netmask 255.255.255.0 
Apr 29 08:06:36 ibookg4 NetworkManager: <info>    broadcast 192.168.0.255 
Apr 29 08:06:36 ibookg4 NetworkManager: <info>    gateway 192.168.0.1 
Apr 29 08:06:36 ibookg4 NetworkManager: <info>    nameserver 192.168.0.1 
Apr 29 08:06:36 ibookg4 NetworkManager: <info>  Activation (eth1) Stage 5 of 5
(IP Configure Commit) scheduled... 
Apr 29 08:06:36 ibookg4 NetworkManager: <info>  Activation (eth1) Stage 4 of 5
(IP Configure Get) complete. 
Apr 29 08:06:36 ibookg4 NetworkManager: <info>  Activation (eth1) Stage 5 of 5
(IP Configure Commit) started... 
Apr 29 08:06:36 ibookg4 avahi-daemon[2185]: Joining mDNS multicast group on
interface eth1.IPv4 with address 192.168.0.66.
Apr 29 08:06:36 ibookg4 dhclient: bound to 192.168.0.66 -- renewal in 18713 seconds.
Apr 29 08:06:36 ibookg4 avahi-daemon[2185]: New relevant interface eth1.IPv4 for
mDNS.
Apr 29 08:06:36 ibookg4 avahi-daemon[2185]: Registering new address record for
192.168.0.66 on eth1.IPv4.
Apr 29 08:06:37 ibookg4 NetworkManager: <info>  Activation (eth1) successful,
device activated. 
Apr 29 08:06:37 ibookg4 NetworkManager: <info>  Activation (eth1) Finish handler
scheduled. 
Apr 29 08:06:37 ibookg4 NetworkManager: <info>  Activation (eth1) Stage 5 of 5
(IP Configure Commit) complete. 
Apr 29 08:06:37 ibookg4 kernel: bcm43xx_mac80211: Adding Interface type 2
Apr 29 08:06:37 ibookg4 kernel: bcm43xx_mac80211: Found PHY: Analog 2, Type 2,
Revision 2
Apr 29 08:06:38 ibookg4 kernel: bcm43xx_mac80211: Found Radio: Manuf 0x17F,
Version 0x2050, Revision 2
Apr 29 08:06:38 ibookg4 kernel: ssb: Switching to ChipCommon core, index 0
Apr 29 08:06:38 ibookg4 kernel: ssb: Switching to IEEE 802.11 core, index 1
Apr 29 08:06:38 ibookg4 kernel: bcm43xx_mac80211: Radio turned on
Apr 29 08:06:38 ibookg4 kernel: bcm43xx_mac80211: Radio enabled by hardware
Apr 29 08:06:38 ibookg4 kernel: bcm43xx_mac80211: !WARNING! Idle-TSSI
phy->cur_idle_tssi measuring failed. (cur=0, tgt=62). Disabling TX power adjustment.
Apr 29 08:06:38 ibookg4 kernel: bcm43xx_mac80211: Chip initialized
Apr 29 08:06:38 ibookg4 kernel: bcm43xx_mac80211: 30-bit DMA initialized
Apr 29 08:06:38 ibookg4 kernel: bcm43xx_mac80211: Wireless interface started
Apr 29 08:06:38 ibookg4 kernel: ADDRCONF(NETDEV_UP): wlan0: link is not ready
Apr 29 08:06:38 ibookg4 avahi-daemon[2185]: Joining mDNS multicast group on
interface eth1.IPv6 with address fe80::20d:93ff:fe2d:e988.
Apr 29 08:06:38 ibookg4 avahi-daemon[2185]: New relevant interface eth1.IPv6 for
mDNS.
Apr 29 08:06:38 ibookg4 avahi-daemon[2185]: Registering new address record for
fe80::20d:93ff:fe2d:e988 on eth1.*.

NetworkManager also lists some other nearby AP of a neighbour or someone else
that is encrypted, but has it's SSID broadcasted.

Version-Release number of selected component (if applicable):
Fedora release 6.93 (Rawhide), kernel 2.6.21-1.3116.fc7

How reproducible:

Install Fedora 7 onto a ibook g4 with airport extreme and try to connect to a
wlan access point.

Steps to Reproduce:
1. try to connect to a wlan
2.
3.
  
Actual results:
pasted earlier.

Expected results:
connection

Additional info:
Comment 1 Jukka Palko 2007-04-29 11:20:05 EDT
I was checking out my messages now and I had these complaints in it:
Apr 29 18:13:43 ibookg4 kernel: bcm43xx: PHY connected
Apr 29 18:13:43 ibookg4 kernel: bcm43xx: Microcode rev 0x15f, pl 0x7e
(2006-07-29  05:54:02)
Apr 29 18:13:44 ibookg4 kernel: bcm43xx: Firmware: no support for microcode
extracted from version 4.x binary drivers.
Apr 29 18:13:44 ibookg4 kernel: bcm43xx: core_up for active 802.11 core failed (-95)
Apr 29 18:13:46 ibookg4 NetworkManager: <WARN> 
nm_device_802_11_wireless_scan(): could not trigger wireless scan on device e
th1: No such device 
Apr 29 18:13:50 ibookg4 NetworkManager: <info>  Updating allowed wireless
network lists. 
Apr 29 18:13:50 ibookg4 NetworkManager: <WARN>  nm_dbus_get_networks_cb(): error
received: org.freedesktop.NetworkManagerInfo
.NoNetworks - There are no wireless networks stored.. 
Apr 29 18:15:46 ibookg4 kernel: bcm43xx: PHY connected
Apr 29 18:15:46 ibookg4 kernel: bcm43xx: Microcode rev 0x15f, pl 0x7e
(2006-07-29  05:54:02)
Apr 29 18:15:46 ibookg4 kernel: bcm43xx: Firmware: no support for microcode
extracted from version 4.x binary drivers.
Apr 29 18:15:46 ibookg4 kernel: bcm43xx: core_up for active 802.11 core failed (-95)
Apr 29 18:15:48 ibookg4 NetworkManager: <WARN> 
nm_device_802_11_wireless_scan(): could not trigger wireless scan on device e
th1: No such device 
Apr 29 18:17:48 ibookg4 kernel: bcm43xx: PHY connected
Apr 29 18:17:48 ibookg4 kernel: bcm43xx: Microcode rev 0x15f, pl 0x7e
(2006-07-29  05:54:02)
Apr 29 18:17:49 ibookg4 kernel: bcm43xx: Firmware: no support for microcode
extracted from version 4.x binary drivers.
Apr 29 18:17:49 ibookg4 kernel: bcm43xx: core_up for active 802.11 core failed (-95)
Apr 29 18:17:51 ibookg4 NetworkManager: <WARN> 
nm_device_802_11_wireless_scan(): could not trigger wireless scan on device e
th1: No such device 
Comment 2 Christopher Aillon 2007-04-29 23:32:19 EDT
I'm guessing this doesn't work even without NM.  Basically, you're missing the
firmware for it... You need to get it for the driver before it can work...
Comment 3 Jukka Palko 2007-04-30 00:39:20 EDT
Actually I did have one, this one:
http://downloads.openwrt.org/sources/broadcom-wl-4.80.53.0.tar.bz2

But apparently that wasn't the right one even though I kept getting FIRMWARE TOO
OLD remarks from a wl_apsta.o file that I had downloaded earlier.

Okay, tried this morning the one from OS X:
[root@ibookg4 ~]# bcm43xx-fwcutter -w /lib/firmware AppleAirPort2 

  filename   :  AppleAirPort2
  version    :  3.90.34.0.p18 (405.1)
  MD5        :  85c71d658b650fd2ef546d1d81b113a0
  microcodes :  2 4 5 
  pcms       :  4 5 

WARNING! This firmware doesn't include support for 802.11a cards.
WARNING! Use this firmware only for 802.11b/g cards.

  microcode  :  2
  revision   :  0x0122
  patchlevel :  0x009a
  date       :  2005-08-15
  time       :  18:44:03

  microcode  :  4
  revision   :  0x0122
  patchlevel :  0x009a
  date       :  2005-08-15
  time       :  18:44:03

  microcode  :  5
  revision   :  0x0122
  patchlevel :  0x009a
  date       :  2005-08-15
  time       :  18:44:03

extracting bcm43xx_microcode2.fw ...
extracting bcm43xx_microcode4.fw ...
extracting bcm43xx_microcode5.fw ...
extracting bcm43xx_pcm4.fw ...
extracting bcm43xx_pcm5.fw ...
extracting bcm43xx_initval01.fw ...
extracting bcm43xx_initval02.fw ...
extracting bcm43xx_initval05.fw ...
extracting bcm43xx_initval06.fw ...

It worked. :)

And this is actually weird, the wl_apsta.o from
http://linuxwireless.org/en/users/Drivers/bcm43xx device firmware heading didn't
work for me earlier, but now it does as well. Earlier I kept getting complains
about it being too old into messages. Perhaps they have upgraded the file there
recently.

Now if my other really annoying bug with function keys not doing what they are
supposed to be doing goes away, I'm a very happy camper with fedora 7.
Comment 4 Christopher Aillon 2007-04-30 16:31:12 EDT
Yeah, the bcm firmwares are really annoying since there's so many ones and you
need to get the right one.

Did you file a bug for the other issue?
Comment 5 Jukka Palko 2007-04-30 23:15:28 EDT
Sure did, though in retrospect the Summary name could be better changed a bit
and the component is wrong. Bug 238338.
Comment 6 Christopher Aillon 2007-05-01 15:14:42 EDT
Cool.  Thanks.
Comment 7 Jukka Palko 2007-05-04 02:50:18 EDT
You don't happen to have hints on getting the WPA beast working on this one?

It works okay on OS X and I've gotten it to work on fc6 and others, but doesn't
want to happen on f7.

Note You need to log in before you can comment on or make changes to this bug.